# Introduction

The Polkastarter SDK exists to help developers build on top of Polkastarter. It's designed to run in any environment that can execute JavaScript (think websites, node scripts, mobile apps etc.). While simple enough to use in a hackathon project, it's also robust enough to power production applications.

## Installations

The easiest way to consume the SDK is via npm. To install it in your project, simply run `yarn add polkastarter-js` (or `npm install polkastarter-js`).

## Usage

To run code from the SDK in your application, use an `import` or `require` statement, depending on which your environment supports. Note that the guides following this page will use ES6 syntax.

### ES6 (import)

```typescript
import Application from 'polkastarter-js/src/models';
var app = new Application({mainnet: false});

let poolContract = app.getFixedSwapContract({ contractAddress : "0x.." });
poolContract.__init__();
await poolContract.assertERC20Info();

let res = await poolContract.isOpen();
console.log("Pool is Open ?", res);
```

```typescript
const Application = require('polkastarter-js/src/models';
var app = new Application({mainnet: false});

let poolContract = app.getFixedSwapContract({ contractAddress : "0x.." });
poolContract.__init__();
await poolContract.assertERC20Info();

let res = await poolContract.isOpen();
console.log("Pool is Open ?", res);
```

## Reference

Comprehensive reference material for the SDK is available here.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.polkastarter.com/polkastarter-js/intro.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
